// vim: set tw=80 ts=2 sw=2 sts=2 :
import { Level } from '@nsalaun/ng-logger';

var operationsTmpl = require('./operations/operations.html');
var schedulerTmpl = require('./scheduler/scheduler.html');

export default function AppConfig($uiRouterProvider) {
  $uiRouterProvider.trace.enable(1);

  // Defining template and controller in function of route.
  const $stateRegistry = $uiRouterProvider.stateRegistry;

  $stateRegistry.register({
    name: 'operations',
    url: '/account/:accountId/operations',
    templateUrl: operationsTmpl,
    controller: 'OperationController',
    controllerAs: 'operationsCtrl'
  });

  $stateRegistry.register({
    name: 'scheduler',
    url: '/account/:accountId/scheduler',
    templateUrl: schedulerTmpl,
    controller: 'SchedulerController',
    controllerAs: 'schedulerCtrl'
  });

  $stateRegistry.register({
    name: 'accounts',
    url: '/accounts',
    component: 'accountList',
  });

  const $urlService = $uiRouterProvider.urlService;
  $urlService.rules.otherwise({
    state: 'accounts'
  });
};

export const ApiBaseURL = "http://localhost:8080/api";
export const LogLevel = Level.LOG;
